Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066658 - [abrt] midori: sse2_blt(): midori killed by SIGSEGV
Summary: [abrt] midori: sse2_blt(): midori killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:44c58cac7e63a29f0fa373d11db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 20:20 UTC by Thomas Lindgren
Modified: 2015-06-30 00:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:54:26 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: cgroup (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: core_backtrace (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: dso_list (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: environ (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: exploitable (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: limits (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: maps (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: open_fds (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: proc_pid_status (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details
File: var_log_messages (deleted)
2014-02-18 20:21 UTC, Thomas Lindgren
no flags Details

Description Thomas Lindgren 2014-02-18 20:20:59 UTC
Description of problem:
I clicked on a youtube video on page http://www.mapperlithography.com/technology/mapper-technology
Then I reload Midori with the same page it stops and crashes.

Version-Release number of selected component:
midori-0.5.7-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/midori
crash_function: sse2_blt
executable:     /usr/bin/midori
kernel:         3.12.10-300.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sse2_blt at pixman-sse2.c:4751
 #2 sse2_composite_copy_area at pixman-sse2.c:4812
 #3 pixman_image_composite32 at pixman.c:707
 #4 composite_boxes at cairo-image-compositor.c:533
 #5 composite_aligned_boxes at cairo-spans-compositor.c:683
 #6 clip_and_composite_boxes at cairo-spans-compositor.c:882
 #8 _cairo_spans_compositor_paint at cairo-spans-compositor.c:983
 #9 _cairo_compositor_paint at cairo-compositor.c:65
 #10 _cairo_image_surface_paint at cairo-image-surface.c:927
 #11 _cairo_surface_paint at cairo-surface.c:2081

Comment 1 Thomas Lindgren 2014-02-18 20:21:06 UTC
Created attachment 864777 [details]
File: backtrace

Comment 2 Thomas Lindgren 2014-02-18 20:21:08 UTC
Created attachment 864778 [details]
File: cgroup

Comment 3 Thomas Lindgren 2014-02-18 20:21:10 UTC
Created attachment 864779 [details]
File: core_backtrace

Comment 4 Thomas Lindgren 2014-02-18 20:21:12 UTC
Created attachment 864780 [details]
File: dso_list

Comment 5 Thomas Lindgren 2014-02-18 20:21:15 UTC
Created attachment 864781 [details]
File: environ

Comment 6 Thomas Lindgren 2014-02-18 20:21:17 UTC
Created attachment 864782 [details]
File: exploitable

Comment 7 Thomas Lindgren 2014-02-18 20:21:18 UTC
Created attachment 864783 [details]
File: limits

Comment 8 Thomas Lindgren 2014-02-18 20:21:22 UTC
Created attachment 864784 [details]
File: maps

Comment 9 Thomas Lindgren 2014-02-18 20:21:24 UTC
Created attachment 864785 [details]
File: open_fds

Comment 10 Thomas Lindgren 2014-02-18 20:21:26 UTC
Created attachment 864786 [details]
File: proc_pid_status

Comment 11 Thomas Lindgren 2014-02-18 20:21:29 UTC
Created attachment 864787 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-02-22 17:11:37 UTC
ok. If you disable/remove icedtea-web does it then load ok without crashing?

Comment 13 Fedora End Of Life 2015-05-29 10:58:19 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-30 00:54:26 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.